Documentation
REST API - Feeds
Last updated
Feeds
The REST API feeds endpoint provides a fast and flexible way to browse source feeds registered in the Transitland platform.
Request overview
The feeds API provides a number of searching and filtering parameters; results are based on this GraphQL query.
GEThttps://transit.land/api/v2/rest/feeds
- GET
https://transit.land/api/v2/rest/feeds.{format}Request feeds in specified format - GET
https://transit.land/api/v2/rest/feeds/{feed_key}Request a feed by ID or Onestop ID - GET
https://transit.land/api/v2/rest/feeds/{feed_key}.{format}Request a feed by ID or Onestop ID in specified format
Request
tag_optional stringkey - Search for feeds with a tag. Combine with tag_value also query for the value of the tag.
afteroptional integer (int32)- Pagination cursor value. This should be treated as an opaque value created by the server and returned as the link to the next result page, which may be empty. For historical reasons, this is based on the integer record ID values, but that should not be assumed to be the case in the future.
bboxoptional string- Geographic search using a bounding box, with coordinates in (min_lon, min_lat, max_lon, max_lat) order as a comma separated string
license_optional stringcommercial_ use_ allowed - Filter entities by feed license 'commercial_use_allowed' value. Please see Source Feed concept for details on license values. 'exclude_no' is equivalent to 'yes' and 'unknown'.
Allowed:
yes,no,unknown,exclude_no license_optional stringcreate_ derived_ product - Filter entities by feed license 'create_derived_product' value. Please see Source Feed concept for details on license values. 'exclude_no' is equivalent to 'yes' and 'unknown'.
Allowed:
yes,no,unknown,exclude_no
Response
Downloading latest static GTFS
See also downloading static GTFS feed versions.
GEThttps://transit.land/api/v2/rest/feeds/{feed_key}/download_latest_feed_version
Downloading latest GTFS Realtime
For more information about GTFS Realtime message types and fields, see the GTFS Realtime reference documentation.
GEThttps://transit.land/api/v2/rest/feeds/{feed_key}/download_latest_rt/{rt_type}.{format}